summaryrefslogtreecommitdiffstats
path: root/ci/cyclicTestTrigger.sh
diff options
context:
space:
mode:
authorkalyanreddy <reddyx.gundarapu@intel.com>2017-02-23 15:36:05 +0530
committerKalyan reddy Gundarapu <reddyx.gundarapu@intel.com>2017-02-28 05:16:40 +0000
commitac6ed7c1037d6734a622bfe7f4bcb1bbac099ff0 (patch)
treefdfb3be1ed6d9bac3c5151ddcd327215ba117b11 /ci/cyclicTestTrigger.sh
parentd0deb639c35881c25f2b5ca77d64de0d4c649841 (diff)
This patch includes updated kernel config file to enable
CIFS and FUSE modules and updated scripts to check whether the node is up and running before execution of each test case. Change-Id: Ieebb693229d24e89d7ce92b0c1a26de411cce590 Signed-off-by: Gundarapu Kalyan Reddy <reddyx.gundarapu@intel.com>
Diffstat (limited to 'ci/cyclicTestTrigger.sh')
-rwxr-xr-xci/cyclicTestTrigger.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/ci/cyclicTestTrigger.sh b/ci/cyclicTestTrigger.sh
index b10acddd1..7ec3616a0 100755
--- a/ci/cyclicTestTrigger.sh
+++ b/ci/cyclicTestTrigger.sh
@@ -36,6 +36,29 @@ function verifyGuestImage {
fi
}
+#Verifying the availability of the host after reboot
+function connect_host {
+ n=0
+ while [ $n -lt 25 ]; do
+ host_ping_test="ping -c 1 ${HOST_IP}"
+ eval $host_ping_test &> /dev/null
+ if [ ${?} -ne 0 ] ; then
+ sleep 10
+ echo "host machine is still under reboot..trying to connect...."
+ n=$(($n+1))
+ else
+ echo "resuming the execution of test cases....."
+ #Waiting for ssh to be available for the host machine.
+ sleep 30
+ break
+ fi
+ if [ $n == 24 ];then
+ echo "Host machine unable to boot-up!"
+ exit 1
+ fi
+ done
+}
+
#Updating the pod.yaml file with HOST_IP,kvmfornfv_cyclictest_idle_idle.yaml with loops and interval
function updateYaml {
cd $WORKSPACE/tests/